STDBUF(1)

NAZWA
stdbuf - uruchamia polecenie ze zmodyfikowanymi operacjami buforowania jego standardowych strumieni

SKŁADNIA
stdbuf OPCJA... POLECENIE

OPIS

uruchamia POLECENIE, ze zmodyfikowanymi operacjami buforowania jego standardowych strumieni.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-i, --input=TRYB
    dostosowuje buforowanie standardowego strumienia wejścia

-o, --output=TRYB
    dostosowuje buforowanie standardowego strumienia wyjścia

-e, --error=TRYB
    dostosowuje buforowanie standardowego strumienia błędów

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Jeżeli TRYBEM jest L, to dany strumień będzie buforowany wierszami. Opcji tej nie można użyć do standardowego wejścia.

Jeżeli TRYBEM jest 0, to dany strumień nie będzie buforowany.

TRYB może być również liczbą, która może zostać uzupełniona o jeden z następujących przyrostków: KB 1000, K 1024, MB 1000*1000, M 1024*1024, itd. dla G, T, P, E, Z, Y, R, Q. Można użyć również przedrostków binarnych: KiB=K, MiB=M itd. W takim przypadku dany strumień będzie w pełni buforowany w buforze o rozmiarze TRYB bajtów.

UWAGA: Jeśli POLECENIE dostosowuje sposób buforowania swoich standardowych strumieni (robi to np. tee), to przesłoni ono odpowiednie zmiany dokonane przez stdbuf. Także niektóre filtry (np. dd i cat itd.) nie używają strumieni do wejścia/wyjścia i nie zostaną one wówczas zmienione przez ustawienia programu stdbuf.

  Status zakończenia:

125 jeśli samo polecenie stdbuf zawiedzie

126 jeśli odnaleziono POLECENIE, ale nie można go wywołać

127 jeśli nie znaleziono POLECENIA

-   w pozostałych przypadkach jest to kod zakończenia POLECENIA

PRZYKŁADY
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Polecenie natychmiast wyświetli unikatowe wpisy z pliku access.log

USTERKI
Na platformach GLIBC określenie rozmiaru bufora np. używanie trybu w pełni buforowanego, spowoduje wykonanie niezdefiniowanej operacji.

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/stdbuf>
lub lokalnie, za pomocą info '(coreutils) stdbuf invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.